Edit tag
curl --request PATCH \
--url https://managexrapi.com/v1/tags/{tagId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "World History"
}
'import requests
url = "https://managexrapi.com/v1/tags/{tagId}"
payload = { "name": "World History" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'World History'})
};
fetch('https://managexrapi.com/v1/tags/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "sFidGmedeQofSBcvRcyn",
"name": "World History"
}
}{
"statusCode": 400,
"message": "Tag with name World History already exists",
"error": "ManageXR Error"
}{
"message": "Tag with id sFidGmedeQofSBcvRcyn not found"
}Tags
Edit Tag
Update an existing tag’s name
PATCH
/
v1
/
tags
/
{tagId}
Edit tag
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
Unique identifier of the tag
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
application/json
New name for the tag
Example:
"World History"
Response
The updated tag
Show child attributes
Show child attributes
⌘I